#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import urllib.parse as urlparse
from resources.lib.navigation import Navigation

params = dict(urlparse.parse_qsl(sys.argv[2][1:]))
nav = Navigation()
# Router for all plugin actions
if params:
    if params['action'] == 'playVod':
        nav.playVOD(params['id'])
    elif params['action'] == 'listPage':
        nav.listSeasonsFromSeries(params['id'])
    elif params['action'] == 'listSeason':
        nav.listEpisodesFromSeason(params['season_id'])
    elif params['action'] == 'showMovie':
        nav.showMovie(params['id'])
    elif params['action'] == 'listLive':
        nav.listLiveTV()
    elif params['action'] == 'listEvents':
        nav.listEvents()
    elif params['action'] == 'overview':
        nav.listOverview(params['id'])
    elif params['action'] == 'login':
        nav.login()
    elif params['action'] == 'logout':
        nav.logout()
    elif params['action'] == 'search':
        nav.search()
    elif params['action'] == 'recommendation':
        nav.recommendationOverview()
    elif params['action'] == 'listRecommendation':
        nav.listRecommendation(params['id'])
    elif params['action'] == 'listFavs':
        nav.listFavorites()
    elif params['action'] == 'addFav':
        nav.addFav(params['id'])
    elif params['action'] == 'removeFav':
        nav.removeFav(params['id'])
else:
    nav.rootDir()